/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2009,2010 by Luigi Ziviani <ziviani_luigi@yahoo.it>.        *
* All Rights Reserved.                                                          *
*********************************************************************************
* Id: languagedialog.h,   v 1.0                      2008/01/01                 *
*********************************************************************************
* This program is free software; you can redistribute it and/or modify          *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* This program is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/
#ifndef LANGUAGEDIALOG_H
#define LANGUAGEDIALOG_H

#include <fx.h>

class LanguageDialog : public FXDialogBox {
	FXDECLARE(LanguageDialog)

protected:
	FXHorizontalFrame* buttons;
	FXHorizontalFrame* contents;
    FXTabBook* tabbook;
    FXTabItem* tab1;
    FXTabItem* tab2;

	FXIcon *read_icon;
	FXIcon *write_icon;
	FXIcon *quit_icon;

// Text fields
	FXTextField* 	p_audiobuttontext1;
	FXTextField* 	p_audiobuttontext2;
	FXTextField* 	p_dropbuttontext1;
	FXTextField* 	p_dropbuttontext2;
	FXTextField* 	p_loopbuttontext1;
	FXTextField* 	p_loopbuttontext2;
	FXTextField* 	p_zoombuttontext1;
	FXTextField* 	p_zoombuttontext2;
	FXTextField* 	p_hidebuttontext1;
	FXTextField* 	p_hidebuttontext2;
  	FXTextField* 	p_allbuttontext1;
	FXTextField* 	p_allbuttontext2;
  	FXTextField* 	p_widebuttontext1;
	FXTextField* 	p_widebuttontext2;
  	FXTextField* 	p_imgbuttontext1;
	FXTextField* 	p_imgbuttontext2;
	FXTextField*	p_quitbuttontext;
	FXTextField* 	p_openbuttontext;
	FXTextField* 	p_stopbuttontext;
	FXTextField* 	p_pausebuttontext;
	FXTextField* 	p_playbuttontext;
	FXTextField* 	p_jplaybuttontext;
	FXTextField* 	p_outputbuttontext;
	FXTextField* 	p_sizebuttontext;
	FXTextField* 	p_confbuttontext;
	FXTextField* 	p_upbuttontext;
	FXTextField* 	p_downbuttontext;
	FXTextField* 	p_slistbuttontext;
	FXTextField* 	p_olistbuttontext;
	FXTextField* 	p_createbuttontext;
	FXTextField* 	p_recreatebuttontext;
	FXTextField* 	p_deletebuttontext;
	FXTextField* 	p_clearbuttontext;
	FXTextField* 	p_increasebuttontext;
	FXTextField* 	p_decreasebuttontext;
	FXTextField* 	p_icnlisttext;
	FXTextField* 	p_detlisttext;

	FXTextField* 	t_audiobuttontext1;
	FXTextField* 	t_audiobuttontext2;
	FXTextField* 	t_dropbuttontext1;
	FXTextField* 	t_dropbuttontext2;
	FXTextField* 	t_loopbuttontext1;
	FXTextField* 	t_loopbuttontext2;
	FXTextField* 	t_zoombuttontext1;
	FXTextField* 	t_zoombuttontext2;
	FXTextField* 	t_hidebuttontext1;
	FXTextField* 	t_hidebuttontext2;
  	FXTextField* 	t_allbuttontext1;
	FXTextField* 	t_allbuttontext2;
  	FXTextField* 	t_widebuttontext1;
	FXTextField* 	t_widebuttontext2;
  	FXTextField* 	t_imgbuttontext1;
	FXTextField* 	t_imgbuttontext2;
	FXTextField*	t_quitbuttontext;
	FXTextField* 	t_openbuttontext;
	FXTextField* 	t_stopbuttontext;
	FXTextField* 	t_pausebuttontext;
	FXTextField* 	t_playbuttontext;
	FXTextField* 	t_jplaybuttontext;
	FXTextField* 	t_outputbuttontext;
	FXTextField* 	t_sizebuttontext;
	FXTextField* 	t_confbuttontext;
	FXTextField* 	t_upbuttontext;
	FXTextField* 	t_downbuttontext;
	FXTextField* 	t_slistbuttontext;
	FXTextField* 	t_olistbuttontext;
	FXTextField* 	t_createbuttontext;
	FXTextField* 	t_recreatebuttontext;
	FXTextField* 	t_deletebuttontext;
	FXTextField* 	t_clearbuttontext;
	FXTextField* 	t_increasebuttontext;
	FXTextField* 	t_decreasebuttontext;
	FXTextField* 	t_icnlisttext;
	FXTextField* 	t_detlisttext;


    FXTextField*	t_file_n;
    FXTextField*	t_file_t;
    FXTextField*	t_file_s;
    FXTextField*	t_file_m;
    FXTextField*	t_file_u;
    FXTextField*	t_file_g;
    FXTextField*	t_file_a;
    FXTextField*	t_file_l;

    FXTextField*	t_menu_op;
    FXTextField*	t_menu_ow;
    FXTextField*	t_menu_pr;
    FXTextField*	t_menu_re;
    FXTextField*	t_menu_mo;
	FXTextField*	t_menu_sy;
    FXTextField*	t_menu_co;
    FXTextField*	t_menu_de;

    FXTextField*	t_menu_te;
    FXTextField*	t_menu_he;
    FXTextField*	t_menu_vi;
    FXTextField*	t_menu_ar;
    FXTextField*	t_menu_sh;
    FXTextField*	t_menu_nd;
    FXTextField*	t_menu_rd;
    FXTextField*	t_menu_dd;
    FXTextField*	t_menu_rf;
    FXTextField*	t_menu_ma;
    FXTextField*	t_menu_um;

    FXTextField*	t_menu_up;
    FXTextField*	t_menu_do;
    FXTextField*	t_menu_al;
    FXTextField*	t_menu_da;
    FXTextField*	t_menu_ap;
    FXTextField*	t_menu_in;
    FXTextField*	t_menu_di;  


// Strings
	FXString 	audiobuttontext1;
	FXString 	audiobuttontext2;
	FXString 	dropbuttontext1;
	FXString 	dropbuttontext2;
	FXString 	loopbuttontext1;
	FXString 	loopbuttontext2;
	FXString 	zoombuttontext1;
	FXString 	zoombuttontext2;
	FXString 	hidebuttontext1;
	FXString 	hidebuttontext2;
  	FXString 	allbuttontext1;
	FXString 	allbuttontext2;
  	FXString 	widebuttontext1;
	FXString 	widebuttontext2;
  	FXString 	imgbuttontext1;
	FXString 	imgbuttontext2;
	FXString 	quitbuttontext;
	FXString 	openbuttontext;
	FXString 	stopbuttontext;
	FXString 	pausebuttontext;
	FXString 	playbuttontext;
	FXString 	jplaybuttontext;
	FXString 	outputbuttontext;
	FXString 	sizebuttontext;
	FXString 	confbuttontext;
	FXString 	upbuttontext;
	FXString 	downbuttontext;
	FXString 	slistbuttontext;
	FXString 	olistbuttontext;
	FXString 	createbuttontext;
	FXString 	recreatebuttontext;
	FXString 	deletebuttontext;
	FXString 	clearbuttontext;
	FXString 	increasebuttontext;
	FXString 	decreasebuttontext;
	FXString 	icnlisttext;
	FXString 	detlisttext;

    FXString	file_n;
    FXString	file_t;
    FXString	file_s;
    FXString	file_m;
    FXString	file_u;
    FXString	file_g;
    FXString	file_a;
    FXString	file_l;

    FXString	menu_op;
    FXString	menu_ow;
    FXString	menu_pr;
    FXString	menu_re;
    FXString	menu_mo;
	FXString	menu_sy;
    FXString	menu_co;
    FXString	menu_de;

    FXString	menu_te;
    FXString	menu_he;
    FXString	menu_vi;
    FXString	menu_ar;
    FXString	menu_sh;
    FXString	menu_nd;
    FXString	menu_rd;
    FXString	menu_dd;
    FXString	menu_rf;
    FXString	menu_ma;
    FXString	menu_um;

    FXString	menu_up;
    FXString	menu_do;
    FXString	menu_al;
    FXString	menu_da;
    FXString	menu_ap;
    FXString	menu_in;
    FXString	menu_di;

private:
	LanguageDialog(){}


public:
	enum{
	ID_WRITE = FXDialogBox::ID_LAST,
	ID_READ,
	ID_PANEL,
	ID_LAST
	};


public:
	long onCmdWrite(FXObject *,FXSelector,void *);
	long onCmdRead(FXObject *,FXSelector,void *);
    long onCmdPanel(FXObject*,FXSelector,void*);

protected:
	void readData();
	void writeData();
    FXString autoFill(FXString item);

public:
	LanguageDialog(FXWindow* owner);
	virtual ~LanguageDialog();
};

#endif
