/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2009,2010 by Luigi Ziviani <ziviani_luigi@yahoo.it>.        *
* All Rights Reserved.                                                          *
*********************************************************************************
* Id: fxscanvirus.h,   v 1.2                     2008/01/01                     *
*********************************************************************************
* This program is free software; you can redistribute it and/or modify          *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* This program is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/
#ifndef FXSCANVIRUS_H
#define FXSCANVIRUS_H

// #define FOX_16
#define FOX_17
#include <signal.h>

class ScanVirusDialog : public FXMainWindow {
  FXDECLARE(ScanVirusDialog)

private:
  ScanVirusDialog(){}

protected:
  FXIcon *uicon;
  FXIcon *ricon;
  FXIcon *dicon;
  FXIcon *licon;

  FXIcon *logoicon;
  FXIcon *logominiicon;
  FXIcon *accepticon;
  FXIcon *cancelicon;
  FXIcon *infectedicon;
  FXIcon *scanicon;
  FXIcon *quiticon;
  FXIcon *moveupicon;

  FXVerticalFrame 	*dialogframe;
  FXHorizontalFrame *lineframe;
  FXHorizontalFrame *viewframe;
  FXVerticalFrame 	*legendframe;
  FXVerticalFrame   *progressframe;
  FXHorizontalFrame *buttonsframe;
  FXHorizontalFrame *wheelframe;

  FXDirList  	*dirlist;
  FXFileList	*filelist;
  FXList		*viewlist;
  FXTextField	*linelist;
  FXFileDict 	*associations;

  FXMenuBar *menubar;

  FXMenuPane *menu_arrange;
  FXMenuTitle *title_arrange;
  FXMenuRadio *radio_det;
  FXMenuRadio *radio_sma;
  FXMenuRadio *radio_big;

  FXMenuPane *menu_show;
  FXMenuTitle *title_show;
  FXMenuCheck *check_fil;
  FXMenuCheck *check_dir;

  FXMenuPane *menu_about;
  FXMenuTitle *title_about;
  FXMenuCommand *cmd_about;

  FXLabel *label_cu;
  FXLabel *label_su;
  FXLabel *label_in;
  FXLabel *label_cl;
  FXLabel *label_re;
  FXLabel *label_wheel1;
  FXLabel *label_wheel2;
  FXLabel *label_wheel3;
  FXLabel *label_wheel4;

  FXButton *button_sc;
  FXButton *button_qu;

  FXSplitter 	*splitterh;
  FXSplitter 	*splitterv;
  FXProgressBar *progressbar;
  FXProgressBar *totalprogressbar;

  FXString  	currentdir;
  FXString 		filename;

  FXbool initclamav;
  FXint  totalprogress;

  FXString 	fontspec;
  FXString 	fontspec2;
  FXFont    *bodyfont;
  FXFont    *menufont;

  FXColor 	theme_fxmmbase;
  FXColor 	theme_fxmmborder;
  FXColor 	theme_fxmmfore;
  FXColor 	theme_fxmmselfore;
  FXColor 	theme_fxmmmenufore;
  FXColor 	theme_fxmmtipfore;
  FXColor 	theme_fxmmback;
  FXColor 	theme_fxmmselback;
  FXColor 	theme_fxmmmenuback;
  FXColor 	theme_fxmmtipback;
  FXColor 	theme_fxmmhilite;
  FXColor 	theme_fxmmshadow;

public:
  enum{
    ID_QUIT=FXMainWindow::ID_LAST,
	ID_SCAN,
	ID_FILELIST,
	ID_DIRLIST,
	ID_ABOUT,
    ID_LAST
    };


public:
  // Message handlers
  long onCmdQuit(FXObject*,FXSelector,void*);
  long onCmdScan(FXObject*,FXSelector,void*);
  long onCmdDirlist(FXObject*,FXSelector,void* ptr);
  long onCmdFilelist(FXObject*,FXSelector,void* ptr);
  long onCmdAbout(FXObject*,FXSelector,void*);


public:
  // Construct dialog
  ScanVirusDialog(FXApp *);
  virtual void create();
  // Destroy
  virtual ~ScanVirusDialog();

  FXbool readConfig();
  int execScanVirus(FXFileList* panel, FXbool init);
  void scanFileName(int ret, const char *virname, struct cl_engine *engine, FXString& filetoscan, FXint i);
  void setDirectory(const FXString& dirname);
  void updateProgressionBars(FXint progress);
  void updateProgressionIcons();
  };

#endif
